/*******************************************************************************

Author : Mauro Laurenti
Version : 1.0
Date : 13/01/2013

CopyRight 2013 all rights are reserved

********************************************************
SOFTWARE LICENSE AGREEMENT
********************************************************

The usage of the supplied software imply the acceptance of the following license.

The software supplied herewith by Mauro Laurenti (the Author) is intended for
use solely and exclusively on Microchip PIC Microcontroller (registered mark).
The software is owned by the Author, and is protected under applicable
copyright laws. All rights are reserved.
Any use in violation of the foregoing restrictions may subject the
user to criminal sanctions under applicable laws, as well as to civil liability
for the breach of the terms and conditions of this license.
Commercial use is forbidden without a written acknowledgment with the Author.
Personal or educational use is allowed if the application containing the
following software doesn't aim to commercial use or monetary earning of any kind.

THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE AUTHOR SHALL NOT,
IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.

*******************************************************************************/

#include "init.h"
#include "CNC_settings.h"

#ifndef CNC_MENU_H
#define	CNC_MENU_H

//You have to uncomment the line below if you want to use the Terminal Menu'.
#define CNC_MENU

#define MENU_LEVEL_0 0
#define MENU_LEVEL_1 1
#define MENU_LEVEL_2 2
#define MENU_LEVEL_3 3
#define MENU_LEVEL_4 4
#define MENU_LEVEL_5 5
#define MENU_LEVEL_6 6
#define MENU_LEVEL_7 7
#define MENU_LEVEL_8 8
#define MENU_LEVEL_9 9
#define MENU_LEVEL_10 10
#define MENU_LEVEL_11 11
#define MENU_LEVEL_12 12
#define MENU_LEVEL_13 13

volatile unsigned char menu_level = MENU_LEVEL_0;

void RS485_show_line (void);

void CNC_check_menu (unsigned char data);

void CNC_show_menu_1 (void);

void CNC_show_menu_voltage_limits_2 (void);

void CNC_show_menu_System_Warning_Error_3 (void);

void CNC_show_menu_Delta_Voltage_Error_4 (void);

void CNC_show_menu_Delta_Voltage_Warning_5 (void);

void CNC_show_voltage_input_1_9 (void);

void CNC_show_voltage_input_12_28 (void);

void CNC_show_menu_Voltage_Max_6 (void);

void CNC_show_menu_Voltage_Min_7 (void);

void CNC_show_menu_PWM_Frequency_8 (void);

void CNC_show_menu_set_PWM_Frequency_9 (void);

void CNC_show_menu_Temperature_10 (void);

void CNC_show_temeprature_input (void);

void CNC_show_menu_Temperature_Fan_11 (void);

void CNC_show_menu_Temperature_Warning_12 (void);

void CNC_show_menu_Temperature_Error_13 (void);

#endif	/* CNC_MENU_H */

